postrm is in texinfo 5.2.0.dfsg.1-2.
This file is a maintainer script. It is executed when installing (*inst) or removing (*rm) the package.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 | #!/bin/sh -e
check_run_without_errors ()
{
tempfile=`mktemp -p /tmp checkrun.XXXXXXXX`
if which $1 >/dev/null; then
echo -n "Running $1. This may take some time. ..."
set +e
$* > $tempfile 2>&1
if [ $? = 0 ] ; then
rm -f $tempfile
echo " done."
else
echo
echo "$* failed. Output has been stored in"
echo "$tempfile"
echo "If tex-common is not configured you can ignore this error message!"
echo "Otherwise please include this file if you report a bug."
echo
fi
set -e
else
rm -f $tempfile
fi
return 0
}
update_lsr_files ()
{
tempfile=`mktemp -p /tmp mktexlsr.XXXXXXXX`
echo -n "Running mktexlsr. This may take some time. ..."
if mktexlsr /usr/share/texmf /var/lib/texmf > $tempfile 2>&1 ; then
rm -f $tempfile
echo " done."
else
echo
echo "mktexlsr failed. Output has been stored in"
echo "$tempfile"
echo "Please include this file if you report a bug."
echo
exit 1
fi
}
case "$1" in
remove|disappear)
rm -f /var/lib/texmf/web2c/texinfo.*
rm -f /var/lib/texmf/web2c/cyrtexinfo.*
check_run_without_errors update-fmtutil
check_run_without_errors mktexlsr /usr/share/texmf /var/lib/texmf
;;
purge|upgrade|failed-upgrade|abort-upgrade|abort-install)
;;
*)
echo "postrm called with unknown argument \`$1'" >&2
exit 1
;;
esac
exit 0
|